Debian Bug report logs - #346396
floatbg: FTBFS build dependency on xlibs-dev

version graph

Package: floatbg; Maintainer for floatbg is Dave Holland <dave@debian.org>; Source for floatbg is src:floatbg.

Reported by: Kurt Roeckx <kurt@roeckx.be>

Date: Sat, 7 Jan 2006 17:03:06 UTC

Severity: serious

Found in version floatbg/1.0-22

Fixed in version floatbg/1.0-23

Done: Dave Holland <dave@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Dave Holland <dave@debian.org>:
Bug#346396; Package floatbg. Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
New Bug report received and forwarded. Copy sent to Dave Holland <dave@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: submit@bugs.debian.org
Subject: floatbg: FTBFS build dependency on xlibs-dev
Date: Sat, 7 Jan 2006 17:42:33 +0100
Package: floatbg
Version: 1.0-22
Severity: serious

Hi,

Your package still has a build dependency on xlibs-dev.  This has
been removed as announced on:
http://lists.debian.org/debian-devel-announce/2005/11/msg00022.html

This means your package is now failing to build.


Kurt




Information forwarded to debian-bugs-dist@lists.debian.org, Dave Holland <dave@debian.org>:
Bug#346396; Package floatbg. Full text and rfc822 format available.

Acknowledgement sent to John Wright <john@movingsucks.org>:
Extra info received and forwarded to list. Copy sent to Dave Holland <dave@debian.org>. Full text and rfc822 format available.

Message #10 received at 346396@bugs.debian.org (full text, mbox):

From: John Wright <john@movingsucks.org>
To: Debian Bug Tracking System <346396@bugs.debian.org>
Subject: Patch: fix build-depends on xlibs-dev
Date: Tue, 10 Jan 2006 00:28:18 -0700
[Message part 1 (text/plain, inline)]
Package: floatbg
Followup-For: Bug #346396

I have attached a patch which removes the xlibs-dev build dependency and adds
the specific packages actually needed.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12.6-xenU
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
[xlibs-dev-fix.patch (application/octet-stream, attachment)]

Reply sent to Dave Holland <dave@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Kurt Roeckx <kurt@roeckx.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 346396-close@bugs.debian.org (full text, mbox):

From: Dave Holland <dave@debian.org>
To: 346396-close@bugs.debian.org
Subject: Bug#346396: fixed in floatbg 1.0-23
Date: Tue, 10 Jan 2006 04:17:11 -0800
Source: floatbg
Source-Version: 1.0-23

We believe that the bug you reported is fixed in the latest version of
floatbg, which is due to be installed in the Debian FTP archive:

floatbg_1.0-23.diff.gz
  to pool/main/f/floatbg/floatbg_1.0-23.diff.gz
floatbg_1.0-23.dsc
  to pool/main/f/floatbg/floatbg_1.0-23.dsc
floatbg_1.0-23_i386.deb
  to pool/main/f/floatbg/floatbg_1.0-23_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 346396@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dave Holland <dave@debian.org> (supplier of updated floatbg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 10 Jan 2006 11:56:30 +0000
Source: floatbg
Binary: floatbg
Architecture: source i386
Version: 1.0-23
Distribution: unstable
Urgency: low
Maintainer: Dave Holland <dave@debian.org>
Changed-By: Dave Holland <dave@debian.org>
Description: 
 floatbg    - slowly modify the color of the X root window
Closes: 346396
Changes: 
 floatbg (1.0-23) unstable; urgency=low
 .
   * update xlibs-dev build dependency (thanks, John Wright)
     (closes: #346396)
Files: 
 f33041de7fdff9664bab4b4b55e9ce04 578 x11 optional floatbg_1.0-23.dsc
 0d2e2dccdc24afb27282ff727fad44eb 15683 x11 optional floatbg_1.0-23.diff.gz
 561b8ab5fc5969a0d6cf624f758af14d 10432 x11 optional floatbg_1.0-23_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDw6JDKeFPmTkbOSgRAi5cAJ0VtEPHzoot2YRGVBhjr8PFbceDLgCdHhaF
PqA+v0d5zE9y/92Dy3U2yzs=
=jFoC
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 07:16:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:26:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.